#!/bin/bash
#PBS -l walltime=180
#PBS -l nodes=2:ppn=2
#PBS -l vmem=400mb

#########################
# The above #PBS directives do the following:
#########################
# #PBS -l walltime=180
# This job will not take longer than 180 seconds.
#
# #PBS -l nodes=2:ppn=2
# This job requires 4 processors. Bogong has dual-processor nodes
# So 2 nodes * 2 processors-per-node (ppn) = 4 processors.
#
# #PBS -l vmem=400mb
# This job will not consume more than 400mb.
#
#########################

#########################
# Run the MPI job.
# Note that the mpirun script specifies 4 processors, but 2
# processors per node. Working directory is also set on the
# mpirun command line.
#########################
cd /home/jack/ga/inundation
mpirun -machinefile $PBS_NODEFILE -np 4 -ppn 2 -wdir /home/jack/ga/inundation/parallel /home/jack/ga/inundation/parallel/run_parallel_sw_merimbula_metis.py
